"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GitLandingFooter = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable no-irregular-whitespace */
/* eslint-disable @typescript-eslint/ban-types */
var Link_1 = __importDefault(require("@material-ui/core/Link"));
var theme_1 = require("./theme");
var Typography_1 = __importDefault(require("@material-ui/core/Typography"));
var Logo_1 = require("./components/Logo");
var tss_react_1 = require("tss-react");
var react_1 = require("react");
var useClassNames = theme_1.createUseClassNames()(function (theme, _a) {
    var background = _a.background;
    return ({
        "root": {
            "display": "flex",
            "flexDirection": "column",
            "alignItems": "center",
            "background": (function () {
                if (background === undefined) {
                    return theme.colors.useCases.surfaces.background;
                }
                if (background.type === "color") {
                    return theme.isDarkModeEnabled
                        ? background.colorOrUrlDark
                        : background.colorOrUrlLight;
                }
                return "center no-repeat url(" + (theme.isDarkModeEnabled ? background.colorOrUrlDark : background.colorOrUrlLight) + ")";
            })(),
            "backgroundSize": (function () {
                if (background === undefined || background.type === "color") {
                    return "unset";
                }
                return "cover";
            })(),
            "marginTop": 80,
        },
        "logoSvg": {
            "marginRight": 20,
            "display": "flex",
            "& svg": {
                "width": 40,
                "height": 40,
                "fill": theme.isDarkModeEnabled ? "white" : "black",
            },
        },
        "logo": {
            "marginRight": 20,
            "width": 40,
            "height": 40,
        },
        "column": {
            "margin": 40,
            "& a": {
                "display": "flex",
                "alignItems": "center",
                "height": 60,
            },
            "@media (max-width: 440px)": {
                "margin": "40px 10px 40px 10px",
            },
        },
        "licence": {
            "fontStyle": "italic",
        },
        "wrapper": {
            "display": "flex",
        },
    });
}).useClassNames;
exports.GitLandingFooter = react_1.memo(function (props) {
    var licence = props.licence, leftItems = props.leftItems, rightItems = props.rightItems, background = props.background, className = props.className;
    var classNames = useClassNames({ background: background }).classNames;
    return (jsx_runtime_1.jsxs("footer", __assign({ className: tss_react_1.cx(classNames.root, className) }, { children: [jsx_runtime_1.jsx("div", __assign({ className: classNames.wrapper }, { children: [leftItems, rightItems].map(function (items, i) { return (jsx_runtime_1.jsx("div", __assign({ className: classNames.column }, { children: items.map(function (_a) {
                        var url = _a.url, name = _a.name, logoUrl = _a.logoUrl;
                        return (jsx_runtime_1.jsxs(Link_1.default, __assign({ href: url }, { children: [logoUrl !== undefined && (jsx_runtime_1.jsx(Logo_1.Logo, { logoUrl: logoUrl, className: classNames.logoSvg }, void 0)),
                                jsx_runtime_1.jsx(Typography_1.default, { children: name }, void 0)] }), url + name));
                    }) }), i)); }) }), void 0),
            jsx_runtime_1.jsx("p", __assign({ className: classNames.licence }, { children: licence }), void 0)] }), void 0));
});
//# sourceMappingURL=GitLandingFooter.js.map