/// <reference types="react" />
import type { Props as TopBarProps } from "./components/TopBar";
import type { ImageProps } from "./components/Image";
declare namespace BackgroundProps {
    type Color = {
        type: "color";
        backgroundColor: string;
    };
    type ImageUrl = {
        type: "image";
        imageUrl: string;
    };
}
export declare type GitLandingHeaderProps = {
    titleMd?: string;
    subTitleMd?: string;
    className?: string;
    image?: ImageProps;
    /**
     * you can use markdown between back ticks.
     */
    background?: BackgroundProps.Color | BackgroundProps.ImageUrl;
    topBarProps?: TopBarProps;
    linkToNextSection?: {
        href?: string;
        title: string;
    };
};
export declare const GitLandingHeader: import("react").MemoExoticComponent<(props: GitLandingHeaderProps) => JSX.Element>;
export {};
