/// <reference types="react" />
import type { SectionProps } from "./components/Section";
export declare type GitLandingSectionProps = {
    /**
     * enter the assets in an array.
     * example:
     * "mainSection": [
     *  {
     *      "imageHasFrame": false,
     *      "imageUrl": yourImage
     *      "article": {
     *          "title": "your title",
     *          "paragraphMd": "your paragraph"
     *      }
     *  },
     *  {
     *      "imageHasFrame": false,
     *      "imageUrl": yourImage
     *      "article": {
     *          "title": "your title",
     *          "paragraphMd": "your paragraph"
     *      }
     *  },
     * ]
     */
    sections: Omit<SectionProps, "isRowReverse">[];
    className?: string;
};
export declare const GitLandingSection: import("react").MemoExoticComponent<(props: GitLandingSectionProps) => JSX.Element>;
