"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReviewSlider = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("embla-carousel/react");
var theme_1 = require("./theme");
var powerhooks_1 = require("powerhooks");
var Paper_1 = __importDefault(require("@material-ui/core/Paper"));
var Typography_1 = __importDefault(require("@material-ui/core/Typography"));
var react_markdown_1 = __importDefault(require("react-markdown"));
var Logo_1 = require("./components/Logo");
var tss_react_1 = require("tss-react");
var react_2 = require("react");
var theme_2 = require("./theme");
var useClassNames = theme_1.createUseClassNames()(function (theme) { return ({
    "root": {
        "position": "relative",
        "width": 1200,
        "marginLeft": "auto",
        "marginRight": "auto",
        "display": "flex",
        "alignItems": "center",
        "@media (max-width: 1280px)": {
            "width": "92%",
        },
        "@media (max-width: 650px)": {
            "width": "98%",
        },
    },
    "viewport": {
        "width": "100%",
        "overflow": "hidden",
        "userSelect": "none",
        "margin": "0 30px 0 30px",
        "padding": "10px 0 10px 0",
        "@media (max-width: 650px)": {
            "margin": 0,
        },
    },
    "container": {
        "display": "flex",
        "alignItems": "center",
    },
    "slide": {
        "position": "relative",
        "minWidth": "100%",
        "padding": "0 30px 0 30px",
        "@media (max-width: 650px)": {
            "padding": "0 2px 0 2px",
        },
    },
    "paper": {
        "display": "flex",
        "flexDirection": "row",
        "alignItems": "center",
        "justifyContent": "space-between",
        "position": "relative",
        "@media (max-width: 1000px)": {
            "flexDirection": "column",
        },
        "& div p": {
            "margin": 40,
            "@media (max-width: 1000px)": {
                "textAlign": "center",
            },
            "@media (max-width: 650px)": {
                "margin": "40px 5px 40px 5px",
            },
        },
        "& div p:nth-of-type(2)": {
            "textAlign": "right",
            "paddingRight": 40,
            "fontStyle": "italic",
            "@media (max-width: 1000px)": {
                "textAlign": "center",
                "paddingRight": 0,
            },
        },
    },
    "logo": {
        "width": 70,
        "marginLeft": 40,
        "fill": theme.isDarkModeEnabled ? "white" : "black",
        "& svg": {
            "width": 70,
            "height": 70,
        },
        "@media (max-width: 1000px)": {
            "marginLeft": 0,
            "marginTop": 40,
        },
    },
    "arrows": {
        "transition": "transform 300ms",
        ":hover": {
            "transform": "scale(1.2)",
        },
    },
}); }).useClassNames;
exports.ReviewSlider = react_2.memo(function (props) {
    var reviews = props.reviews, className = props.className;
    var _a = __read(react_1.useEmblaCarousel({ "loop": true }), 2), emblaRef = _a[0], emblaApi = _a[1];
    var onClickPrev = powerhooks_1.useConstCallback(function () { return emblaApi && emblaApi.scrollPrev(); });
    var onClickNext = powerhooks_1.useConstCallback(function () { return emblaApi && emblaApi.scrollNext(); });
    var classNames = useClassNames({}).classNames;
    return (jsx_runtime_1.jsxs("div", __assign({ className: tss_react_1.cx(classNames.root, className) }, { children: [jsx_runtime_1.jsx(theme_2.Icon, { id: "arrowBackIos", className: classNames.arrows, onClick: onClickPrev }, void 0),
            jsx_runtime_1.jsx("div", __assign({ className: classNames.viewport, ref: emblaRef }, { children: jsx_runtime_1.jsx("div", __assign({ className: classNames.container }, { children: reviews.map(function (review, index) { return (jsx_runtime_1.jsx("div", __assign({ className: tss_react_1.cx(classNames.slide, review.className) }, { children: jsx_runtime_1.jsxs(Paper_1.default, __assign({ className: classNames.paper }, { children: [review.logoUrl !== undefined && (jsx_runtime_1.jsx(Logo_1.Logo, { logoUrl: review.logoUrl, className: classNames.logo }, void 0)),
                                jsx_runtime_1.jsxs("div", { children: [jsx_runtime_1.jsx(react_markdown_1.default, { children: review.descriptionMd }, void 0),
                                        jsx_runtime_1.jsx(Typography_1.default, { children: review.signature }, void 0)] }, void 0)] }), void 0) }), JSON.stringify(review.signature + index))); }) }), void 0) }), void 0),
            jsx_runtime_1.jsx(theme_2.Icon, { id: "arrowForwardIos", className: classNames.arrows, onClick: onClickNext }, void 0)] }), void 0));
});
//# sourceMappingURL=ReviewSlider.js.map