"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GithubStarCount = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var tss_react_1 = require("tss-react");
var react_1 = require("react");
var theme_1 = require("../theme");
var onyxia_ui_1 = require("onyxia-ui");
var useClassNames = theme_1.createUseClassNames()(function () { return ({
    "root": {
        "& span": {
            "display": "flex",
            "alignItems": "center",
        },
    },
}); }).useClassNames;
exports.GithubStarCount = react_1.memo(function (props) {
    var size = props.size, repoUrl = props.repoUrl, className = props.className;
    react_1.useEffect(function () {
        var script = document.createElement("script");
        script.src = "https://buttons.github.io/buttons.js";
        script.async = true;
        document.body.appendChild(script);
        return function () {
            document.body.removeChild(script);
        };
    }, []);
    var classNames = useClassNames({}).classNames;
    return (jsx_runtime_1.jsx("div", __assign({ className: tss_react_1.cx(classNames.root, className) }, { children: jsx_runtime_1.jsx("a", __assign({ className: "github-button", href: repoUrl, "data-color-scheme": (function () {
                return ["no-preference", "light", "dark"]
                    .map(function (prefix) {
                    return prefix + ": " + (onyxia_ui_1.useIsDarkModeEnabled().isDarkModeEnabled ? "dark" : "light");
                })
                    .join("\n");
            })(), "data-icon": "octicon-star", "data-size": size === "large" ? "large" : "", "data-show-count": "true" }, { children: "Star" }), void 0) }), void 0));
});
//# sourceMappingURL=GithubStarCount.js.map