"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SmallThumbNail = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-namespace */
var react_1 = require("react");
var theme_1 = require("../theme");
var Link_1 = __importDefault(require("@material-ui/core/Link"));
var Typography_1 = require("onyxia-ui/Typography");
var tss_react_1 = require("tss-react");
var useClassNames = theme_1.createUseClassNames()(function (theme, _a) {
    var width = _a.width, height = _a.height, background = _a.background;
    return ({
        "root": {
            "height": height !== undefined ? height : 280,
            "width": width !== undefined ? width : 557,
            "borderRadius": 16,
            "& a": {
                "width": "100%",
                "height": "100%",
                "display": "flex",
                "justifyContent": "center",
                "alignItems": "center",
            },
            "cursor": "pointer",
            "background": (function () {
                if (background === undefined) {
                    return theme.isDarkModeEnabled
                        ? theme.colors.palette.dark.greyVariant1
                        : theme.colors.palette.light.greyVariant1;
                }
                if (background.type === "color") {
                    return background.color;
                }
                return "url(" + background.url + ") no-repeat center";
            })(),
            "backgroundSize": (background === null || background === void 0 ? void 0 : background.type) === "image" ? "cover" : undefined,
        },
    });
}).useClassNames;
exports.SmallThumbNail = react_1.memo(function (props) {
    var className = props.className, height = props.height, href = props.href, title = props.title, width = props.width, background = props.background;
    var classNames = useClassNames({ width: width, height: height, background: background }).classNames;
    return (jsx_runtime_1.jsx("div", __assign({ className: tss_react_1.cx(classNames.root, className) }, { children: title && (jsx_runtime_1.jsx(Link_1.default, __assign({ href: href }, { children: jsx_runtime_1.jsx(Typography_1.Typography, __assign({ variant: "h5" }, { children: title }), void 0) }), void 0)) }), void 0));
});
//# sourceMappingURL=SmallThumbNail.js.map